package core.stlmes.server.sale.po.fund;

import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;

public class SelFundBusinessInfoBean
{
	private String Busiseq = "";
	private String Busitype = "";
	private String Balancesubject = "";
	private String Buyercode = "";
	private String Secondaccount = "";
	private String Pactno = "";
	private Double Money = 0.0;
	private String Importor = "";
	private String Importtime = "";
	private String Remark = "";

	public String getBusiseq()
	{
		return Busiseq;
	}

	public void setBusiseq(String busiseq)
	{
		Busiseq = busiseq;
	}

	public String getBusitype()
	{
		return Busitype;
	}

	public void setBusitype(String busitype)
	{
		Busitype = busitype;
	}

	public String getBalancesubject()
	{
		return Balancesubject;
	}

	public void setBalancesubject(String balancesubject)
	{
		Balancesubject = balancesubject;
	}

	public String getBuyercode()
	{
		return Buyercode;
	}

	public void setBuyercode(String buyercode)
	{
		Buyercode = buyercode;
	}

	public String getSecondaccount()
	{
		return Secondaccount;
	}

	public void setSecondaccount(String secondaccount)
	{
		Secondaccount = secondaccount;
	}

	public String getPactno()
	{
		return Pactno;
	}

	public void setPactno(String pactno)
	{
		Pactno = pactno;
	}

	public Double getMoney()
	{
		return Money;
	}

	public void setMoney(Double money)
	{
		Money = money;
	}

	public String getImportor()
	{
		return Importor;
	}

	public void setImportor(String importor)
	{
		Importor = importor;
	}

	public String getImporttime()
	{
		return Importtime;
	}

	public void setImporttime(String importtime)
	{
		Importtime = importtime;
	}

	public String getRemark()
	{
		return Remark;
	}

	public void setRemark(String remark)
	{
		Remark = remark;
	}

	public static SelFundBusinessInfoBean convertHashMapToBean(HashMap hs)
	{
		SelFundBusinessInfoBean bean = new SelFundBusinessInfoBean();
		try
		{
			bean.setBusiseq(( String)hs.get("BUSISEQ"));
		}
		catch (java.lang.Exception ex)
		{
		}
		try
		{
			bean.setBusitype(( String)hs.get("BUSITYPE"));
		}
		catch (java.lang.Exception ex)
		{
		}
		try
		{
			bean.setBalancesubject(( String)hs.get("BALANCESUBJECT"));
		}
		catch (java.lang.Exception ex)
		{
		}
		try
		{
			bean.setBuyercode(( String)hs.get("BUYERCODE"));
		}
		catch (java.lang.Exception ex)
		{
		}
		try
		{
			bean.setSecondaccount(( String)hs.get("SECONDACCOUNT"));
		}
		catch (java.lang.Exception ex)
		{
		}
		try
		{
			bean.setPactno(( String)hs.get("PACTNO"));
		}
		catch (java.lang.Exception ex)
		{
		}
		try
		{
			bean.setMoney(( Double)hs.get("MONEY"));
		}
		catch (java.lang.Exception ex)
		{
		}
		try
		{
			bean.setImportor(( String)hs.get("IMPORTOR"));
		}
		catch (java.lang.Exception ex)
		{
		}
		try
		{
			bean.setImporttime(( String)hs.get("IMPORTTIME"));
		}
		catch (java.lang.Exception ex)
		{
		}
		try
		{
			bean.setRemark(( String)hs.get("REMARK"));
		}
		catch (java.lang.Exception ex)
		{
		}
		return bean;
	}

	public static List<SelFundBusinessInfoBean> convertResultSetToBeanList(
			ResultSet set) throws SQLException
	{
		List<SelFundBusinessInfoBean> listbean = new ArrayList<SelFundBusinessInfoBean>();
		SelFundBusinessInfoBean bean = null;

		while (set.next())
		{
			bean = new SelFundBusinessInfoBean();
			try
			{
				bean.setBusiseq(( String)set.getObject("BUSISEQ"));
			}
			catch (java.lang.Exception ex)
			{
			}
			try
			{
				bean.setBusitype(( String)set.getObject("BUSITYPE"));
			}
			catch (java.lang.Exception ex)
			{
			}
			try
			{
				bean
						.setBalancesubject(( String)set
								.getObject("BALANCESUBJECT"));
			}
			catch (java.lang.Exception ex)
			{
			}
			try
			{
				bean.setBuyercode(( String)set.getObject("BUYERCODE"));
			}
			catch (java.lang.Exception ex)
			{
			}
			try
			{
				bean.setSecondaccount(( String)set.getObject("SECONDACCOUNT"));
			}
			catch (java.lang.Exception ex)
			{
			}
			try
			{
				bean.setPactno(( String)set.getObject("PACTNO"));
			}
			catch (java.lang.Exception ex)
			{
			}
			try
			{
				bean.setMoney( (( java.math.BigDecimal)set.getObject("MONEY") )
						.doubleValue());
			}
			catch (java.lang.Exception ex)
			{
			}
			try
			{
				bean.setImportor(( String)set.getObject("IMPORTOR"));
			}
			catch (java.lang.Exception ex)
			{
			}
			try
			{
				bean.setImporttime(( String)set.getObject("IMPORTTIME"));
			}
			catch (java.lang.Exception ex)
			{
			}
			try
			{
				bean.setRemark(( String)set.getObject("REMARK"));
			}
			catch (java.lang.Exception ex)
			{
			}
			listbean.add(bean);
		}

		try
		{
			set.close();

		}
		catch (java.lang.Exception ex)
		{
		}
		return (listbean.size() == 0 ) ? null : listbean;
	}
}
